features:
  secondary:
    - name: "Merge Request Approval Rules for Protected Branches"
      available_in: [premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/merge_requests/merge_request_approvals.html#scoped-to-protected-branch-premium'
      reporter: jramsay
      stage: create
      categories:
        - "Source Code Management"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/460'
      description: |
        Code review is an essential practice of every successful project, and Approval Rules can be used to make sure the right people review each change. When practicing continuous delivery or working on higher risk projects, this is especially important. Previously, adding more restrictive approval requirements to protect the default branch would impose the same requirements on every branch. This forced all merge requests to meet the same approval requirements, whether it be merging a bug fix from `master` into a release branch, or between two feature branches.

        GitLab 12.8 resolves this problem: Approval Rules for Merge Requests set at the project level can be required selectively based on the target branch of the merge request. This allows restrictive approval rules to apply exactly when needed, and even different approval rules to apply to different branches like for stable release branches.
